Links

List links

Newest first.

GET
/v1/links

Newest first.

Authorization

apiKey
headerAuthorizationBearer <token>

Query Parameters

domain?string

Only links on this host

folderId?string
tagIds?|array<string>

Tag ids: links with any of them; comma-separated: any of them

search?string

Slug, title or destination contains

Lengthlength <= 100
limit?integer
Range1 <= value <= 100
Default50
cursor?string

nextCursor of the previous page

Response Body

Response for status 200

application/json
  1. response
data*array<>
nextCursor*string|null
curl -X GET 'https://api.tinbo.co/v1/links'
{  "data": [    {      "id": "string",      "domain": "string",      "slug": "string",      "shortLink": "string",      "url": "string",      "title": "string",      "description": "string",      "ogImageUrl": "string",      "folderId": "string",      "tags": [        {          "id": "string",          "name": "string",          "color": "string"        }      ],      "redirectType": 0,      "passQuery": true,      "openInApp": true,      "openInBrowser": true,      "utm": {        "property1": "string",        "property2": "string"      },      "geoRules": [        {          "country": "string",          "url": "string"        }      ],      "deviceRules": [        {          "device": "string",          "url": "string"        }      ],      "expiresAt": "string",      "expiredUrl": "string",      "abTest": {        "variants": [          {            "url": "string",            "weight": 0          }        ],        "endsAt": "string"      },      "hasPassword": true,      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}